GEOS: geos::noding::SegmentNode Class Reference

Public Member Functions | Public Attributes | Friends

# geos::noding::SegmentNode Class Reference

Represents an intersection point between two NodedSegmentString. More...

`#include <SegmentNode.h>`

List of all members.

## Public Member Functions
| SegmentNode (const NodedSegmentString &ss, const geom::Coordinate &nCoord, unsigned int nSegmentIndex, int nSegmentOctant)
| Construct a node on the given NodedSegmentString.
bool | isInterior () const
| Return true if this Node is *internal* (not on the boundary) of the corresponding segment. Currently only the *first* segment endpoint is checked, actually.
bool | isEndPoint (unsigned int maxSegmentIndex) const
int | compareTo (const SegmentNode &other)
## Public Attributes
geom::Coordinate | coord
| the point of intersection (own copy)
unsigned int | segmentIndex
| the index of the containing line segment in the parent edge
## Friends
std::ostream & | operator<< (std::ostream &os, const SegmentNode &n)

## Detailed Description

Represents an intersection point between two NodedSegmentString.

Final class.

## Constructor & Destructor Documentation

geos::noding::SegmentNode::SegmentNode | ( | const NodedSegmentString & | ss,
|  | const geom::Coordinate & | nCoord,
|  | unsigned int | nSegmentIndex,
|  | int | nSegmentOctant
| ) |  |

Construct a node on the given NodedSegmentString.

Parameters:

  ss | the parent NodedSegmentString
  coord | the coordinate of the intersection, will be copied
  nSegmentIndex | the index of the segment on parent NodedSegmentString where the Node is located.
  nSegmentOctant |

## Member Function Documentation

int geos::noding::SegmentNode::compareTo | ( | const SegmentNode & | other ) |

Returns:
  -1 this EdgeIntersection is located before the argument location
  0 this EdgeIntersection is at the argument location
  1 this EdgeIntersection is located after the argument location

The documentation for this class was generated from the following file:

- SegmentNode.h